Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class TaxInformation3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.TaxInformation3

public class TaxInformation3 extends Object

Java class for TaxInformation3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxInformation3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}TaxParty1" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}TaxParty2" minOccurs="0"/>
             <element name="AdmstnZn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="RefNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max140Text" minOccurs="0"/>
             <element name="Mtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="TtlTaxblBaseAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="TtlTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODate" minOccurs="0"/>
             <element name="SeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Number" minOccurs="0"/>
             <element name="Rcrd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}TaxRecord1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`admstnZn`
`protected TaxParty1`
`cdtr`
`protected TaxParty2`
`dbtr`
`protected XMLGregorianCalendar`
`dt`
`protected String`
`mtd`
`protected List<TaxRecord1>`
`rcrd`
`protected String`
`refNb`
`protected BigDecimal`
`seqNb`
`protected ActiveOrHistoricCurrencyAndAmount`
`ttlTaxAmt`
`protected ActiveOrHistoricCurrencyAndAmount`
`ttlTaxblBaseAmt`

## Constructor Summary

Constructors
Constructor
Description
`TaxInformation3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAdmstnZn()`
Gets the value of the admstnZn property.
`TaxParty1`
`getCdtr()`
Gets the value of the cdtr property.
`TaxParty2`
`getDbtr()`
Gets the value of the dbtr property.
`XMLGregorianCalendar`
`getDt()`
Gets the value of the dt property.
`String`
`getMtd()`
Gets the value of the mtd property.
`List<TaxRecord1>`
`getRcrd()`
Gets the value of the rcrd property.
`String`
`getRefNb()`
Gets the value of the refNb property.
`BigDecimal`
`getSeqNb()`
Gets the value of the seqNb property.
`ActiveOrHistoricCurrencyAndAmount`
`getTtlTaxAmt()`
Gets the value of the ttlTaxAmt property.
`ActiveOrHistoricCurrencyAndAmount`
`getTtlTaxblBaseAmt()`
Gets the value of the ttlTaxblBaseAmt property.
`void`
`setAdmstnZn(String value)`
Sets the value of the admstnZn property.
`void`
`setCdtr(TaxParty1 value)`
Sets the value of the cdtr property.
`void`
`setDbtr(TaxParty2 value)`
Sets the value of the dbtr property.
`void`
`setDt(XMLGregorianCalendar value)`
Sets the value of the dt property.
`void`
`setMtd(String value)`
Sets the value of the mtd property.
`void`
`setRefNb(String value)`
Sets the value of the refNb property.
`void`
`setSeqNb(BigDecimal value)`
Sets the value of the seqNb property.
`void`
`setTtlTaxAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the ttlTaxAmt property.
`void`
`setTtlTaxblBaseAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the ttlTaxblBaseAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cdtr

protected TaxParty1 cdtr

### dbtr

protected TaxParty2 dbtr

### admstnZn

protected String admstnZn

### refNb

protected String refNb

### mtd

protected String mtd

### ttlTaxblBaseAmt

protected ActiveOrHistoricCurrencyAndAmount ttlTaxblBaseAmt

### ttlTaxAmt

protected ActiveOrHistoricCurrencyAndAmount ttlTaxAmt

### dt

protected XMLGregorianCalendar dt

### seqNb

protected BigDecimal seqNb

### rcrd

protected List<TaxRecord1> rcrd

## Constructor Details

### TaxInformation3

public TaxInformation3()

## Method Details

### getCdtr

public TaxParty1 getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `TaxParty1`

### setCdtr

public void setCdtr(TaxParty1 value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `TaxParty1`

### getDbtr

public TaxParty2 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `TaxParty2`

### setDbtr

public void setDbtr(TaxParty2 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `TaxParty2`

### getAdmstnZn

public String getAdmstnZn()
Gets the value of the admstnZn property.

Returns:
  possible object is `String`

### setAdmstnZn

public void setAdmstnZn(String value)
Sets the value of the admstnZn property.

Parameters:
  `value` - allowed object is `String`

### getRefNb

public String getRefNb()
Gets the value of the refNb property.

Returns:
  possible object is `String`

### setRefNb

public void setRefNb(String value)
Sets the value of the refNb property.

Parameters:
  `value` - allowed object is `String`

### getMtd

public String getMtd()
Gets the value of the mtd property.

Returns:
  possible object is `String`

### setMtd

public void setMtd(String value)
Sets the value of the mtd property.

Parameters:
  `value` - allowed object is `String`

### getTtlTaxblBaseAmt

public ActiveOrHistoricCurrencyAndAmount getTtlTaxblBaseAmt()
Gets the value of the ttlTaxblBaseAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setTtlTaxblBaseAmt

public void setTtlTaxblBaseAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the ttlTaxblBaseAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getTtlTaxAmt

public ActiveOrHistoricCurrencyAndAmount getTtlTaxAmt()
Gets the value of the ttlTaxAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setTtlTaxAmt

public void setTtlTaxAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the ttlTaxAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getDt

public XMLGregorianCalendar getDt()
Gets the value of the dt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDt

public void setDt(XMLGregorianCalendar value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getSeqNb

public BigDecimal getSeqNb()
Gets the value of the seqNb property.

Returns:
  possible object is `BigDecimal`

### setSeqNb

public void setSeqNb(BigDecimal value)
Sets the value of the seqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getRcrd

public List<TaxRecord1> getRcrd()
Gets the value of the rcrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rcrd property.

For example, to add a new item, do as follows:

        getRcrd().add(newItem);

Objects of the following type(s) are allowed in the list `TaxRecord1`